> ## Documentation Index
> Fetch the complete documentation index at: https://api.aodocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Put documentviewconfigv1library documenttype

> Sets the document view configuration of a document class (orientation, sections displayed...).



## OpenAPI

````yaml /openapis/documentViewConfig.json put /documentViewConfig/v1/library/{libraryId}/documentType/{documentTypeId}
openapi: 3.0.1
info:
  description: "The AODocs REST API exposes most of the features of AODocs. It can be used to implement custom applications, third-party integration, bulk tools, or\n\t\t\t\t\t\t\t\t\t\tjust to experiment with AODocs."
  version: '69.4'
  title: AODocs REST API
servers:
  - url: https://aodocs.altirnao.com/api
security: []
tags:
  - name: documentViewConfig
    description: Lets you configure how documents are presented and edited
paths:
  /documentViewConfig/v1/library/{libraryId}/documentType/{documentTypeId}:
    put:
      tags:
        - documentViewConfig
      description: >-
        Sets the document view configuration of a document class (orientation,
        sections displayed...).
      operationId: documentViewConfig:v1.DocumentViewConfig.updateClassLevelConfiguration
      parameters:
        - $ref: '#/components/parameters/libraryId_path_parameter'
        - $ref: '#/components/parameters/documentTypeId_path_parameter'
        - $ref: '#/components/parameters/securityCode_query_parameter'
        - $ref: '#/components/parameters/domain_query_parameter'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ApiTypeLevelViewConfiguration'
        required: true
      responses:
        '204':
          description: A successful response
      security:
        - google_id_token-a99f12e0:
            - https://www.googleapis.com/auth/userinfo.email
        - google_id_token_legacy-a99f12e0:
            - https://www.googleapis.com/auth/userinfo.email
components:
  parameters:
    libraryId_path_parameter:
      name: libraryId
      in: path
      description: The ID of the library
      required: true
      schema:
        type: string
    documentTypeId_path_parameter:
      name: documentTypeId
      in: path
      description: The ID of the document class
      required: true
      schema:
        type: string
    securityCode_query_parameter:
      name: securityCode
      in: query
      description: The security code
      required: false
      schema:
        type: string
    domain_query_parameter:
      name: domain
      in: query
      description: The G Suite domain
      required: false
      schema:
        type: string
  schemas:
    ApiTypeLevelViewConfiguration:
      type: object
      properties:
        availableRelations:
          type: array
          items:
            $ref: '#/components/schemas/ApiRelationDefinition'
        defaultTabToDisplay:
          type: string
          enum:
            - PROPERTIES
            - FIRST_ATTACHMENT
        kind:
          type: string
        orientation:
          type: string
          enum:
            - PORTRAIT
            - LANDSCAPE
        previousVersionVisibleSections:
          type: array
          items:
            type: string
            enum:
              - INFO
              - WORKFLOW
              - PROPERTIES
              - ATTACHMENTS
              - RELATIONS
              - DESCRIPTION
        visibleRelations:
          type: array
          items:
            type: string
        visibleSections:
          type: array
          items:
            type: string
            enum:
              - INFO
              - WORKFLOW
              - PROPERTIES
              - ATTACHMENTS
              - RELATIONS
              - DESCRIPTION
    ApiRelationDefinition:
      type: object
      properties:
        createdTime:
          type: string
          format: date-time
          description: >-
            The time at which the relation definition was created (read-only
            field)
        description:
          type: string
          description: The description of the relation definition
        id:
          type: string
          description: The ID of the relation definition (read-only field)
        kind:
          type: string
        lastModifiedTime:
          type: string
          format: date-time
          description: >-
            The time at which the relation definition was last modified
            (read-only field)
        left:
          $ref: '#/components/schemas/ApiRelationSide'
        name:
          type: string
          description: The name of the relation definition
        renderAction:
          $ref: '#/components/schemas/ApiCustomAction'
        right:
          $ref: '#/components/schemas/ApiRelationSide'
        selfRelated:
          type: boolean
          description: Whether this is a self relation (only one side)
    ApiRelationSide:
      type: object
      properties:
        availableFields:
          type: array
          description: >-
            The list of fields, their type and in which configuration settings
            they can be used (read-only field)
          items:
            $ref: '#/components/schemas/ApiFieldWithCapabilities'
        classId:
          type: string
          description: The ID of the class in the library (read-only field after creation)
        className:
          type: string
          description: The name of the class (read-only field)
        className_i18n:
          type: string
          description: The internationalized name of the class (read-only field)
        displayBefore:
          type: string
          description: >-
            Set to display the relation at a different position in the document
            page
          enum:
            - INFO
            - WORKFLOW
            - PROPERTIES
            - ATTACHMENTS
            - RELATIONS
            - DESCRIPTION
        displayFields:
          type: array
          description: The list of fields to display for related documents of this side
          items:
            $ref: '#/components/schemas/ApiBaseField'
        filterAction:
          $ref: '#/components/schemas/ApiCustomAction'
        libraryId:
          type: string
          description: The ID of the library (read-only field after creation)
        name:
          type: string
          description: The name of the side of the relation
        name_i18n:
          type: string
          description: >-
            The internationalized name of the side of the relation (read-only
            field)
        orderBy:
          $ref: '#/components/schemas/ApiRelationOrderBy'
    ApiCustomAction:
      type: object
      properties:
        event:
          type: string
          description: >-
            The type of event (in workflow transitions:
            ON_STATE_ENTER_BEFORE_TRANSITION, ON_ENTER_STATE_AFTER_TRANSITION,
            ON_LEAVE_STATE_BEFORE_TRANSITION or ON_STATE_LEAVE_AFTER_TRANSITION,
            in relations: ON_RELATION_FILTER or ON_RELATION_RENDER, in classes:
            ON_DOCUMENT_UPDATE or ON_DOCUMENT_DISPLAY)
          enum:
            - ON_STATE_ENTER_BEFORE_TRANSITION
            - ON_STATE_ENTER_AFTER_TRANSITION
            - ON_STATE_LEAVE_BEFORE_TRANSITION
            - ON_STATE_LEAVE_AFTER_TRANSITION
            - ON_RELATION_FILTER
            - ON_RELATION_RENDER
            - ON_DOCUMENT_DISPLAY
            - ON_DOCUMENT_UPDATE
        id:
          type: string
          description: The id of the action (read-only)
        kind:
          type: string
        name:
          type: string
          description: The name of the action
        params:
          type: object
          description: The map key/value of the parameters
          additionalProperties:
            type: string
        scriptId:
          type: string
          description: The ID of the custom script
        scriptName:
          type: string
          description: The name of the custom script (read-only field)
    ApiFieldWithCapabilities:
      type: object
      properties:
        capabilities:
          type: array
          description: The list of capabilities for this field (depending of the type)
          items:
            type: string
            enum:
              - DISPLAY
              - ORDER_BY
              - BROWSE_BY
              - FILTER_ON
              - PRE_FILTER_ON
        filterOperators:
          type: array
          description: >-
            The list of operators available for this field (depending of the
            type)
          items:
            type: string
            enum:
              - EQUAL
              - NOT_EQUAL
              - STRICTLY_GREATER_THAN
              - STRICTLY_LESSER_THAN
              - GREATER_THAN_OR_EQUAL_TO
              - LESSER_THAN_OR_EQUAL_TO
              - BETWEEN
              - EMPTY
              - NOT_EMPTY
              - WITHIN_THE_AREA
              - IN
              - NOT_IN
              - STARTS_WITH
              - ENDS_WITH
              - CONTAINS_SUBSTRING
        hidden:
          type: boolean
          description: Whether the field is hidden (at class level)
        id:
          type: string
          description: The ID of the field
        kind:
          type: string
        multiple:
          type: boolean
          description: Whether the field is multi-valued
        name:
          type: string
          description: The name of the field
        name_i18n:
          type: string
          description: The internationalized name of the field (read-only field)
        system:
          type: boolean
          description: >-
            Indicates whether this field is a system field or not (read-only
            field)
        type:
          type: string
          description: >-
            The type of the field (STRING, TEXT, ..., CATEGORY,
            REFERENCE_CATALOG)
          enum:
            - STRING
            - TEXT
            - DATE
            - TIME
            - DATETIME
            - INTEGER
            - FILESIZE
            - DECIMAL
            - BOOLEAN
            - PERSON
            - CATEGORY
            - GEOPOINT
            - URL
            - REFERENCE_CATALOG
            - MIMETYPEGROUP
            - CLASS
            - FOLDER
            - STATE
            - OSS_ATTACHMENT
            - DRIVE_ATTACHMENT
            - TABLE
    ApiBaseField:
      type: object
      properties:
        id:
          type: string
          description: The ID of the field
        kind:
          type: string
        name:
          type: string
          description: The name of the field
        name_i18n:
          type: string
          description: The internationalized name of the field (read-only field)
        system:
          type: boolean
          description: >-
            Indicates whether this field is a system field or not (read-only
            field)
    ApiRelationOrderBy:
      type: object
      properties:
        descending:
          type: boolean
          description: >-
            Whether to order in a descending way (default: false, i.e.
            ascending)
        id:
          type: string
          description: The ID of the field
        kind:
          type: string
        name:
          type: string
          description: The name of the field
        name_i18n:
          type: string
          description: The internationalized name of the field (read-only field)
        system:
          type: boolean
          description: >-
            Indicates whether this field is a system field or not (read-only
            field)
  securitySchemes:
    google_id_token-a99f12e0:
      type: oauth2
      x-google-issuer: https://accounts.google.com
      x-google-jwks_uri: https://www.googleapis.com/oauth2/v1/certs
      x-google-audiences: >-
        755040865326-h5gomu85549lkh2qf9d3lku39vnaf6ii.apps.googleusercontent.com,563231141203-231sn7f6ptedncun5h00h7ktbe3o2nd5.apps.googleusercontent.com,993707107224.apps.googleusercontent.com,ao-docs,aodocs-core-eu-1,ao-docs-staging,ao-docs-dev,aodocs-core-dev-us,aodocs-total-poc-euw3
      flows:
        implicit:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          scopes:
            https://www.googleapis.com/auth/userinfo.email: View your email address
    google_id_token_legacy-a99f12e0:
      type: oauth2
      x-google-issuer: accounts.google.com
      x-google-jwks_uri: https://www.googleapis.com/oauth2/v1/certs
      x-google-audiences: >-
        755040865326-h5gomu85549lkh2qf9d3lku39vnaf6ii.apps.googleusercontent.com,563231141203-231sn7f6ptedncun5h00h7ktbe3o2nd5.apps.googleusercontent.com,993707107224.apps.googleusercontent.com,ao-docs,aodocs-core-eu-1,ao-docs-staging,ao-docs-dev,aodocs-core-dev-us,aodocs-total-poc-euw3
      flows:
        implicit:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          scopes:
            https://www.googleapis.com/auth/userinfo.email: View your email address

````